Subject: Re: [PATCH v2 0/8] repack: refactor pack snapshot-ing logic

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 14 Sep 2023 12:33:39 +0200

On Wed, Sep 13, 2023 at 08:07:50PM -0400, Jeff King wrote:
> On Wed, Sep 13, 2023 at 12:44:04PM -0700, Junio C Hamano wrote:
> 
> > Taylor Blau <[email-masked]> writes:
> > 
> > > Here is a small reroll of my series to clean up some of the internals of
> > > 'git repack' used to track the set of existing packs.
> > >
> > > Much is unchanged from the last round, save for some additional clean-up
> > > on how we handle the '->util' field for each pack's string_list_item in
> > > response to very helpful review from those CC'd.
> > 
> > The change to [7/8] was as expected and looking good.  Let's see if
> > we see additional reviews from others, plan to declare victory and
> > merge it to 'next' by early next week at the latest, if not sooner.
> 
> This looks great to me. The motivation in the revised patch 7 is much
> easier to follow, and the end result is much nicer to read. :)
> 
> -Peff

Agreed, the patch series loogs good to me now. Thanks!

Patrick